*** unix/Makefile.in.orig	Wed Dec 15 05:00:19 1999
--- unix/Makefile.in	Sun Jan 16 17:43:01 2000
***************
*** 83,88 ****
--- 83,89 ----
  
  # The linker flags needed to link in the Tcl library (ex: -ltcl8.2)
  TCL_LIB_FLAG =		@TCL_LIB_FLAG@
+ TCL_STUB_LIB_FLAG =	@TCL_STUB_LIB_FLAG@
  
  # Libraries built with optimization switches have this additional extension
  TK_DBGX =		@TK_DBGX@
***************
*** 182,187 ****
--- 183,189 ----
  
  #TCL_LIB_SPEC = @TCL_BUILD_LIB_SPEC@
  TCL_LIB_SPEC = @TCL_LIB_SPEC@
+ TCL_STUB_LIB_SPEC = @TCL_STUB_LIB_SPEC@
  TK_EXP_FILE = @TK_EXP_FILE@
  TK_BUILD_EXP_FILE = @TK_BUILD_EXP_FILE@
  
***************
*** 211,217 ****
  # modify any of this stuff by hand.
  #----------------------------------------------------------------
  
! AC_FLAGS =		@EXTRA_CFLAGS@ @DEFS@
  RANLIB =		@RANLIB@
  SRC_DIR =		@srcdir@/..
  TOP_DIR =		@srcdir@/..
--- 213,220 ----
  # modify any of this stuff by hand.
  #----------------------------------------------------------------
  
! AC_FLAGS =		@EXTRA_CFLAGS@ @DEFS@ @X11_IMAKE_FLAGS@ \
! 	-DI18N_IMPROVE @CPPFLAGS@
  RANLIB =		@RANLIB@
  SRC_DIR =		@srcdir@/..
  TOP_DIR =		@srcdir@/..
***************
*** 268,274 ****
  	tkUnixCursor.o tkUnixDraw.o tkUnixEmbed.o tkUnixEvent.o \
  	tkUnixFocus.o tkUnixFont.o tkUnixInit.o tkUnixKey.o tkUnixMenu.o \
  	tkUnixMenubu.o tkUnixScale.o tkUnixScrlbr.o tkUnixSelect.o \
! 	tkUnixSend.o tkUnixWm.o tkUnixXId.o tkStubInit.o tkStubLib.o
  
  STUB_LIB_OBJS = tkStubLib.o
  
--- 271,278 ----
  	tkUnixCursor.o tkUnixDraw.o tkUnixEmbed.o tkUnixEvent.o \
  	tkUnixFocus.o tkUnixFont.o tkUnixInit.o tkUnixKey.o tkUnixMenu.o \
  	tkUnixMenubu.o tkUnixScale.o tkUnixScrlbr.o tkUnixSelect.o \
! 	tkUnixSend.o tkUnixWm.o tkUnixXId.o tkStubInit.o tkStubLib.o \
! 	tkUnixIm.o
  
  STUB_LIB_OBJS = tkStubLib.o
  
***************
*** 330,335 ****
--- 334,340 ----
  	$(UNIX_DIR)/tkUnixEmbed.c $(UNIX_DIR)/tkUnixEvent.c \
  	$(UNIX_DIR)/tkUnixFocus.c \
  	$(UNIX_DIR)/tkUnixFont.c $(UNIX_DIR)/tkUnixInit.c \
+ 	$(UNIX_DIR)/tkUnixIm.c \
  	$(UNIX_DIR)/tkUnixKey.c \
  	$(UNIX_DIR)/tkUnixMenu.c $(UNIX_DIR)/tkUnixMenubu.c \
  	$(UNIX_DIR)/tkUnixScale.c $(UNIX_DIR)/tkUnixScrlbr.c \
***************
*** 441,446 ****
--- 446,453 ----
  	@$(INSTALL_DATA) $(TK_LIB_FILE) $(LIB_INSTALL_DIR)/$(TK_LIB_FILE)
  	@(cd $(LIB_INSTALL_DIR); $(RANLIB) $(TK_LIB_FILE))
  	@chmod 555 $(LIB_INSTALL_DIR)/$(TK_LIB_FILE)
+ 	@echo "Installing pkgIndex.tcl"
+ 	@tclsh$(VERSION) pkgInstall.tcl $(LIB_INSTALL_DIR)
  	@echo "Installing wish"
  	@$(INSTALL_PROGRAM) wish $(BIN_INSTALL_DIR)/wish$(VERSION)
  	@echo "Installing tkConfig.sh"
***************
*** 568,573 ****
--- 575,592 ----
  	rm -f Makefile config.status config.cache config.log tkConfig.sh \
  		$(PACKAGE).* prototype
  
+ patchclean:	modeclean
+ 	@for i in .. ../generic ../doc ../unix ../mac ../win \
+ 		../library ../win/rc ../tests ;do \
+ 	    echo "removing $$i/*.orig and $$i/*.diff"; \
+ 	    rm -f $$i/*.orig $$i/*.diff; \
+ 	done;
+ 	rm -f ../*patch*
+ 
+ modeclean:
+ 	chmod u-w ../changes ../library/*.tcl ../tests/*.test
+ 	chmod u-w ../doc/*.n ../generic/*.c ../win/rc/*.rc
+ 
  depend:
  	makedepend -- $(DEPEND_SWITCHES) -- $(SRCS)
  
***************
*** 711,717 ****
  	$(CC) -c $(CC_SWITCHES) $(GENERIC_DIR)/tkScrollbar.c
  
  tkSquare.o: $(GENERIC_DIR)/tkSquare.c
! 	$(CC) -c $(CC_SWITCHES_NO_STUBS) $(GENERIC_DIR)/tkSquare.c
  
  tkCanvas.o: $(GENERIC_DIR)/tkCanvas.c
  	$(CC) -c $(CC_SWITCHES) $(GENERIC_DIR)/tkCanvas.c
--- 730,736 ----
  	$(CC) -c $(CC_SWITCHES) $(GENERIC_DIR)/tkScrollbar.c
  
  tkSquare.o: $(GENERIC_DIR)/tkSquare.c
! 	$(CC) -c $(CC_SWITCHES) -DUSE_TK_STUBS $(GENERIC_DIR)/tkSquare.c
  
  tkCanvas.o: $(GENERIC_DIR)/tkCanvas.c
  	$(CC) -c $(CC_SWITCHES) $(GENERIC_DIR)/tkCanvas.c
***************
*** 765,771 ****
  	$(CC) -c $(CC_SWITCHES) $(GENERIC_DIR)/tkImgPhoto.c
  
  tkTest.o: $(GENERIC_DIR)/tkTest.c
! 	$(CC) -c $(CC_SWITCHES_NO_STUBS) $(GENERIC_DIR)/tkTest.c
  
  tkText.o: $(GENERIC_DIR)/tkText.c
  	$(CC) -c $(CC_SWITCHES) $(GENERIC_DIR)/tkText.c
--- 784,790 ----
  	$(CC) -c $(CC_SWITCHES) $(GENERIC_DIR)/tkImgPhoto.c
  
  tkTest.o: $(GENERIC_DIR)/tkTest.c
! 	$(CC) -c $(CC_SWITCHES) -DUSE_TK_STUBS $(GENERIC_DIR)/tkTest.c
  
  tkText.o: $(GENERIC_DIR)/tkText.c
  	$(CC) -c $(CC_SWITCHES) $(GENERIC_DIR)/tkText.c
***************
*** 832,837 ****
--- 851,859 ----
  
  tkUnixFont.o: $(UNIX_DIR)/tkUnixFont.c
  	$(CC) -c $(CC_SWITCHES) $(UNIX_DIR)/tkUnixFont.c
+ 
+ tkUnixIm.o: $(UNIX_DIR)/tkUnixIm.c
+ 	$(CC) -c $(CC_SWITCHES) $(UNIX_DIR)/tkUnixIm.c
  
  tkUnixInit.o: $(UNIX_DIR)/tkUnixInit.c $(GENERIC_DIR)/tkInitScript.h tkConfig.sh
  	$(CC) -c $(CC_SWITCHES) -DTK_LIBRARY=\"${TK_LIBRARY}\" \
